# apiSecurityItem

Represents a discovered API endpoint with its security-related information and metadata.

### Examples

```graphql
type ApiSecurityItem {
  id: String
  scanId: String
  title: String
  description: String
  version: String
  methodDescription: String
  methodOperationId: String
  methodSummary: String
  openapi: String
  servers: [String]
  epName: String
  methodName: String
  methodResponses: [MethodResponse]
  methodTags: [String]
  methodParameters: [MethodParameter]
  appId: String
  appType: String
  appName: String
  fileName: [String]
  definitions: [APIDefinitions]
  framework: String
  language: String
  firstSeen: Date
  uuid: String
  issuesBySeverity: Severities
  codeLocations: [CodeLocation]
  commits: [ApiInventoryCommit]
}
```

### Fields

| Field                                                                                                                        | Description                                                           | Supported fields                                                                                                                                                                                                                                                                                  |
| ---------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id `String`                                                                                                                  | Unique identifier for this API security item                          |                                                                                                                                                                                                                                                                                                   |
| scanId `String`                                                                                                              | Identifier of the scan that discovered this API item                  |                                                                                                                                                                                                                                                                                                   |
| title `String`                                                                                                               | Title or name of the API endpoint                                     |                                                                                                                                                                                                                                                                                                   |
| description `String`                                                                                                         | Detailed description of what this API endpoint does                   |                                                                                                                                                                                                                                                                                                   |
| version `String`                                                                                                             | Version of the API specification                                      |                                                                                                                                                                                                                                                                                                   |
| methodDescription `String`                                                                                                   | Description of the HTTP method for this endpoint                      |                                                                                                                                                                                                                                                                                                   |
| methodOperationId `String`                                                                                                   | OpenAPI operation identifier for this method                          |                                                                                                                                                                                                                                                                                                   |
| methodSummary `String`                                                                                                       | Brief summary of what this API method does                            |                                                                                                                                                                                                                                                                                                   |
| openapi `String`                                                                                                             | OpenAPI specification version used                                    |                                                                                                                                                                                                                                                                                                   |
| servers `[String]`                                                                                                           | List of server URLs where this API is hosted                          |                                                                                                                                                                                                                                                                                                   |
| epName `String`                                                                                                              | Name of the API endpoint                                              |                                                                                                                                                                                                                                                                                                   |
| methodName `String`                                                                                                          | HTTP method name for this endpoint                                    |                                                                                                                                                                                                                                                                                                   |
| methodResponses [`[MethodResponse]`](/api-documentation/api-reference/api--api-security/types/objects/method-response.md)    | List of possible HTTP responses for this method                       | <p>description <code>String</code><br>code <code>String</code></p>                                                                                                                                                                                                                                |
| methodTags `[String]`                                                                                                        | Tags associated with this API method for categorization               |                                                                                                                                                                                                                                                                                                   |
| methodParameters [`[MethodParameter]`](/api-documentation/api-reference/api--api-security/types/objects/method-parameter.md) | List of parameters accepted by this API method                        | <p>description <code>String</code><br>in <code>String</code><br>name <code>String</code><br>required <code>Boolean</code></p>                                                                                                                                                                     |
| appId `String`                                                                                                               | Identifier of the application containing this API                     |                                                                                                                                                                                                                                                                                                   |
| appType `String`                                                                                                             | Type of the application hosting this API                              |                                                                                                                                                                                                                                                                                                   |
| appName `String`                                                                                                             | Name of the application containing this API                           |                                                                                                                                                                                                                                                                                                   |
| fileName `[String]`                                                                                                          | List of file names where this API is defined                          |                                                                                                                                                                                                                                                                                                   |
| definitions [`[APIDefinitions]`](/api-documentation/api-reference/api--api-security/types/objects/api-definitions.md)        | API definition details including source and documentation             | <p>source <code>String</code><br>fileName <code>String</code><br>link <code>String</code><br>llmTitle <code>String</code><br>llmDescription <code>String</code><br>functions <a href="/pages/IPGvbLGUZNIAhQTzymBH"><code>\[ApiSecurityItemFunction]</code></a></p>                                |
| framework `String`                                                                                                           | Framework used to implement this API                                  |                                                                                                                                                                                                                                                                                                   |
| language `String`                                                                                                            | Programming language used to implement this API                       |                                                                                                                                                                                                                                                                                                   |
| firstSeen `Date`                                                                                                             | Date when this API was first discovered                               |                                                                                                                                                                                                                                                                                                   |
| uuid `String`                                                                                                                | Unique universal identifier for this API item                         |                                                                                                                                                                                                                                                                                                   |
| issuesBySeverity [`Severities`](/api-documentation/api-reference/api--application/types/objects/severities.md)               | Count of security issues found in this API, grouped by severity level | <p>info <code>Int</code><br>low <code>Int</code><br>medium <code>Int</code><br>high <code>Int</code><br>critical <code>Int</code><br>appox <code>Int</code></p>                                                                                                                                   |
| codeLocations [`[CodeLocation]`](/api-documentation/api-reference/api--issue/types/objects/code-location.md)                 | Code locations where this API is implemented or called                | <p>link <code>String</code><br>callBranch <code>\[String]</code></p>                                                                                                                                                                                                                              |
| commits [`[ApiInventoryCommit]`](/api-documentation/api-reference/api--api-security/types/objects/api-inventory-commit.md)   | Git commit information related to this API                            | <p>commitInfo <a href="/pages/303aDI9487gOlObpsVrV"><code>ApiInventoryCommitInfo</code></a><br>match <code>String</code><br>snippet <code>String</code><br>snippetLineNumber <code>Int</code><br>startLineNumber <code>Int</code><br>fileName <code>String</code><br>link <code>String</code></p> |

### References

#### Fields with this object:

* [{} ApiSecurityItemsResponse.apiSecurityItems](/api-documentation/api-reference/api--api-security/types/objects/api-security-items-response.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--api-security/types/objects/api-security-item.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
